## maelstrom 1.4.3-L2.0.4-1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	@echo "Installing binaries in $(BINDIR)..."
 	@for i in $(MAELSTROM) ; do \
 		strip $$i; \
-		$(INSTALL) -m 755 $$i $(BINDIR); \
+		install -m 755 $$i $(BINDIR); \
 	done
 	@if [ ! -d $(LIBDIR) ]; then \
 		mkdir $(LIBDIR); chmod 755 $(LIBDIR); \
@@ -28,7 +28,7 @@
 	@chmod -R +r $(LIBDIR)
 	@if [ ! -f "$(LIBDIR)/Maelstrom-Scores" ]; then \
 		echo "Installing Maelstrom high-scores file"; \
-		$(INSTALL) -m 666 Maelstrom-Scores  $(LIBDIR); \
+		install -m 666 Maelstrom-Scores  $(LIBDIR); \
 		chmod 666 $(LIBDIR)/Maelstrom-Scores; \
 	fi
 	@-if [ "$(SYSTEM)" = "Linux" ]; then \
