=== utils/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 PROGS = dsprite dicon dppm xpm2icon xpm2sprite clut2cmap \
 	mergescores printscores gen_vgakeys data2array matchcolors endianicon \
-	populatecmap unpopulatecmap
+	populatecmap unpopulatecmap genkeypair countcolors
 
 all: $(PROGS)
 
@@ -17,6 +17,9 @@
 cicn2xpm: cicn2sprite.c colortable.h ../bytesex.h Sprite.h
 	$(CC) -o $@ $< -DMAKE_XPM 
 
+countcolors: countcolors.o ../Mac_Resource.o
+	$(CC) -o $@  countcolors.o ../Mac_Resource.o
+
 unpopulatecmap: populatecmap.c
 	$(CC) -o $@ $<
