=== debian/control ===
PACKAGE: maelstrom
VERSION: =
ARCHITECTURE: =
MAINTAINER: Robert Leslie <rob@mars.org>
DEPENDS: libc5 (>= 5.4.13), svgalib1, xpm4.7, xlib6, libg++27
PRIORITY: optional
SECTION: games
DESCRIPTION: An arcade-style game resembling Asteroids.
 This is a port of the high-resolution "asteriods" style
 arcade game written by Andrew Welch for the Macintosh. It
 is now freely supported with additional network play on the
 Linux platform, courtesy of Sam Lantinga
 (slouken@cs.ucdavis.edu).
