## maelstrom 1.4.3-L2.0.6-13

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,7 @@
 	@if [ ! -d "$(BINDIR)" ]; then mkdir $(BINDIR); fi
 	@echo "Installing binaries in $(BINDIR)..."
 	@for i in $(MAELSTROM) ; do \
-		strip $$i; \
-		install -m 755 $$i $(BINDIR); \
+		$(INSTALL) -s -m 755 $$i $(BINDIR); \
 	done
 	@if [ ! -d $(LIBDIR) ]; then \
 		mkdir $(LIBDIR); chmod 755 $(LIBDIR); \
@@ -28,7 +27,7 @@
 	@chmod -R +r $(LIBDIR)
 	@if [ ! -f "$(LIBDIR)/Maelstrom-Scores" ]; then \
 		echo "Installing Maelstrom high-scores file"; \
-		install -m 666 Maelstrom-Scores  $(LIBDIR); \
+		$(INSTALL) -m 666 Maelstrom-Scores  $(LIBDIR); \
 		chmod 666 $(LIBDIR)/Maelstrom-Scores; \
 	fi
 	@-if [ "$(SYSTEM)" = "Linux" ]; then \
