=== debian/changelog ===
maelstrom (1.4.3-L2.0.6-13) unstable; urgency=low

  * recompiled for potato

 -- Christoph Baumann <cgb@debian.org>  Mon, 3 Jan 2000 23:04:38 +0200

maelstrom (1.4.3-L2.0.6-12) unstable; urgency=low
  
  * did some debuging, i.e. changed some (meanwhile?) wrong declarations
    to solve errors during compilation. The changed files are:
    - fastrand.cpp
    - mixer-dma.h
    - mixer-dma.cpp
    - netlogic/netplay.cpp
    - vga_framebuf.h
    maelstrom should now compile on potato
  
 -- Christoph Baumann <cgb@debian.org>  Fri, 17 Dec 1999 21:06:36 +0200

maelstrom (1.4.3-L2.0.6-11) unstable; urgency=low

  * myerror.cpp: had to include 'string.h' to avoid an 'implicit declaration'
    caused by the call of the undeclared function 'strerror' which is
    normaly declared in 'string.h'

 -- Christoph Baumann <cgb@debian.org>  Wed, 17 Nov 1999 16:35:12 +0200

maelstrom (1.4.3-L2.0.6-10) unstable; urgency=low

  * Had to jump to revision number 10 to correct some mistakes made with the 
    last upload (entry for rev.no. 9 is more or less bogus)

 -- Christoph Baumann <cgb@debian.org>  Tue, 9 Nov 1999 16:15:12 +0200

maelstrom (1.4.3-L2.0.6-9) unstable; urgency=low

  * Added some information to debian/copyright

 -- Christoph Baumann <cgb@debian.org>  Tue, 2 Nov 1999 15:42:12 +0200

maelstrom (1.4.3-L2.0.6-8) unstable; urgency=low

  * Maintainer changed
  * (debian/rules)
    Changed DOCDIR to /usr/share/doc/maelstrom, according to the policy    

 -- Christoph Baumann <cgb@debian.org>  Fri, 29 Oct 1999 15:31:12 +0200

maelstrom (1.4.3-L2.0.6-7) unstable; urgency=low

  * (debian/config-i386, debian/config-other)
    Compile with USE_JOYSTICK, since it's harmless when there is no
    joystick present, and activates joystick support for those who have it.
    Thanks to Tom Lear for pointing this out.
  * (debian/rules)  Also install README.joystick.
  * (debian/postrm)  Use = instead of == in test (avoids bashism), pointed
    out by Joey Hess.

 -- Richard Braakman <dark@xs4all.nl>  Thu, 11 Jun 1998 00:12:08 +0200

maelstrom (1.4.3-L2.0.6-6) unstable; urgency=low

  * Better scorefile handling:
      - Don't make score file a conffile, and don't include it
        in the package directly.
      - Install Maelstrom's two default scorefiles in /usr/lib/games/maelstrom.
      - In the postinst, check if the score directory exists and install
        it if not.  Create it with mode 2775, group games.  Then check if
        the scorefile exists.  If not, copy the "high" default to that
        location and set it to mode 664, group games.
      - In the postrm, remove the scorefile and score directory if the
        argument is "purge".
      - Don't include the directory in the package itself, to avoid
        dpkg warnings when it tries to remove the directory while leaving
        the scorefile.
  * Upstream "high" scorefile is broken.  Install a fixed version.
    It's uuencoded in the Debian diffs.

 -- Richard Braakman <dark@xs4all.nl>  Thu,  5 Mar 1998 02:44:24 +0100

maelstrom (1.4.3-L2.0.6-5) unstable; urgency=low

  * debian/copyright: Describe Debian-specific patches (Policy, 5.6)
  * debian/rules: Added hackery to depend on svgalibg1 | svgalib-dummyg1,
    even if svgalibg1 does not list svgalib-dummyg1 in its shlibs file.
    (cf. http://www.debian.org/Lists-Archives/debian-devel-9710/msg00685.html)
  * debian/rules: install /var/lib/games/maelstrom/ directory as a normal
    755 directory, rather than 775 and owned by games.  Maelstrom can't
    recreate its scorefile anyway if it's gone.  The scorefile is still
    owned and writeable by games.
  * Moved Maelstrom_sound and Maelstrom_sound.dma to /usr/lib/games/maelstrom/.
  * Removed manpage symlink for Maelstrom_sound.
  * Changed debian/rules to not call upstream install target.
  
 -- Richard Braakman <dark@xs4all.nl>  Wed, 11 Feb 1998 18:27:25 +0100

maelstrom (1.4.3-L2.0.6-4) unstable; urgency=low

  * Install Maelstrom_sound.dma for people who want it.
  * Include Section and Priority fields in binary package.
  * README.Debian: Clearer text about using the mouse in svga mode.
  * Standards-Version 2.4.0.0. 
  * Previous version did not list scorefile as conffile.  Oops, sorry.
  * Use -p flag when installing documentation.

 -- Richard Braakman <dark@xs4all.nl>  Sat,  7 Feb 1998 12:45:45 +0100

maelstrom (1.4.3-L2.0.6-3) unstable; urgency=low

  * Rewrote rules file (no longer used debstd).
  * Now compresses changelog.Debian

 -- Richard Braakman <dark@xs4all.nl>  Fri, 28 Nov 1997 00:26:57 +0100

maelstrom (1.4.3-L2.0.6-2) unstable; urgency=low

  * Worked around new sgid-dropping code in svgalibg1-1.2.11,
    to preserve games id.
  * Added line about mice and svgalib to README.debian

 -- Richard Braakman <dark@xs4all.nl>  Sat, 18 Oct 1997 15:09:57 +0200

maelstrom (1.4.3-L2.0.6-1) unstable; urgency=low

  * Check for i386 before setting USE_SVGALIB
  * Added menu entry
  * Moved to non-free (see copyright file)
  * Repackaged for standards-version 2.3.0.0
  * Compiled for libc6, xlib6g, xpm4g
  * Pristine source
  * New upstream version
  * Gave reasons for suid and sgid settings in README.debian
  * New maintainer

 -- Richard Braakman <dark@xs4all.nl>  Fri, 19 Sep 1997 12:19:48 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "dark@xs4all.nl"
End:
