=== debian/control ===
Source: maelstrom
Section: non-free/games
Priority: optional
Maintainer: Christoph Baumann <cgb@debian.org> 
Standards-Version: 2.4.0.0

Package: maelstrom
Architecture: any
Depends: ${shlibs:Depends}
Description: An arcade-style game resembling Asteroids.
 This is a port of the high-resolution "asteroids" style
 arcade game written by Andrew Welch for the Macintosh. It
 is now freely supported with additional network play on the
 Linux platform, courtesy of Sam Lantinga (slouken@devolution.com).
