## maelstrom 1.4.3-L3.0.6+main

=== debian/changelog ===
maelstrom (1.4.3-L3.0.6+main-10) unstable; urgency=medium

  * QA upload.
  * Use the https URL in Homepage, and copyright.
  * Drop removal of executables not shipped/installed anymore.
  * Remove trailing whitespaces in changelog.
  * Remove leftovers of the Debian menu.
  * Rename debian/maelstrom.6 to debian/Maelstrom.6, so it can be installed
    directly with dh_installman.
  * Remove migration of the scores from the old location
    /var/lib/games/maelstrom/Maelstrom-Scores, as it was done long ago.
  * Add a watch file.
  * Make sure that autoreconf can be run properly:
    - add a configure.patch to add the custom changes to configure.in;
      this also includes a couple of autotools modernizations needed
      - pass to ./configure the right parameters to change the directories we
        need, rather than hardcoding them as local patch
    - add destdir.patch to make sure $DESTDIR is respected
    - add install-hook.diff to rename the custom 'install' target as extra
      bits to the standard one, which otherwise overrides the custom one
    - drop 02-configure-diff.patch, merged into configure.patch
  * Rename the already existing patches to drop the numeric prefix:
    - 01-debian-diff-to-be-split-some-day.patch ->
      debian-diff-to-be-split-some-day.patch
    - 03-implicit-conversion.patch -> implicit-conversion.patch
  * Switch rules to the dh sequencer:
    - create declarative files for dh_install, dh_installman, and dh_installdocs
    - some small documentation files are no more gz-compressed now
    - dh_auto_configure passes the right parameters for cross-compilation now
      (Closes: #902647)
  * Remove from maelstrom.dirs all the directories created automatically.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Generate a PNG icon in the hicolor XDG icon theme from the existing XPM
    icon, and change the desktop file to use it
    - add the imagemagick build dependency (for convert)
  * Drop the custom icon32.xpm from debian-diff-to-be-split-some-day.patch,
    no more needed now.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 27 Dec 2021 18:44:20 +0100

maelstrom (1.4.3-L3.0.6+main-9) unstable; urgency=medium

  * QA upload.
  * Compat 11.
  * Rules-Requires-Root: yes.
  * Drop redundant B-Dep on autotools-dev.
  * Drop Debian menu.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 01 Mar 2018 01:04:45 +0100

maelstrom (1.4.3-L3.0.6+main-8) unstable; urgency=medium

  * QA upload.
  * Include header to fix implicit pointer conversion
    in Maelstrom-netd.c, patch by Logan Rosen.

 -- Adrian Bunk <bunk@debian.org>  Fri, 20 Jan 2017 23:38:49 +0200

maelstrom (1.4.3-L3.0.6+main-7) unstable; urgency=medium

  * QA upload.
  * Use debhelper 9.
  * Switch to "3.0 (quilt)" source format.
  * prerm, postrm, postinst: Do not worry anymore about the /usr/doc
    to /usr/share/doc transition. Drop prerm completely.
  * postrm, postinst: Do not worry about menus, debhelper already does.
  * Do not use a different configure script to do "make install".
    Instead, pass an appropriate prefix option to the one used to compile.
  * As there is now only one modified configure script, put it in the usual
    place so that we can avoid moving it back and forth.
  * Do not embed calls to dpkg-buildflags in Makefile.in files.
    Instead, pass CFLAGS and related variables to configure script.
  * Try to be reproducible by using gzip -n and dh_fixperms.
  * Drop useless/unused debian/rules stuff.
  * Drop -fPIC. No libraries here.

 -- Santiago Vila <sanvila@debian.org>  Wed, 30 Sep 2015 22:02:30 +0200

maelstrom (1.4.3-L3.0.6+main-6) unstable; urgency=low

  * orphan package

 -- Christoph Baumann <cgb@debian.org>  Mon, 22 Sep 2014 22:23:17 +0200

maelstrom (1.4.3-L3.0.6+main-5) unstable; urgency=low

  * further fix in postinst

 -- Christoph Baumann <cgb@debian.org>  Wed, 15 May 2013 22:15:24 +0200

maelstrom (1.4.3-L3.0.6+main-4) unstable; urgency=low

  * fix cleanup of old symlinks. Closes: #707840

 -- Christoph Baumann <cgb@debian.org>  Wed, 15 May 2013 00:47:05 +0200

maelstrom (1.4.3-L3.0.6+main-3) unstable; urgency=low

  * applied NMU diff by Steve McIntyre (see bug 678804)

 -- Christoph Baumann <cgb@debian.org>  Sat, 14 Jul 2012 22:49:04 +0200

maelstrom (1.4.3-L3.0.6+main-2) unstable; urgency=low

  * added -fPIC option for compilation of libraries

 -- Christoph Baumann <cgb@debian.org>  Mon, 02 Jul 2012 17:13:35 +0200

maelstrom (1.4.3-L3.0.6+main-1) unstable; urgency=low

  * fix several lintian bugs
    - Closes: #677029
    - Closes: #677030
    - Closes: #673442
    - Closes: #677034

 -- Christoph Baumann <cgb@debian.org>  Mon, 11 Jun 2012 14:34:45 +0200

maelstrom (1.4.3-L3.0.6+main-0+nmu1) unstable; urgency=low

  * NMU
  * Re-upload with faked new upstream to make sure the source all gets
    into main. Closes: #673442.

 -- Steve McIntyre <93sam@debian.org>  Mon, 11 Jun 2012 10:05:45 +0100

maelstrom (1.4.3-L3.0.6-11) unstable; urgency=low

  * fix several lintian bugs

 -- Christoph Baumann <cgb@debian.org>  Tue, 24 Apr 2012 23:51:29 +0200

maelstrom (1.4.3-L3.0.6-10) unstable; urgency=low

  * License of game art (graphics and sound) became free under CC (Closes: #668623)
  * Added .desktop file (Closes: #602308)
  * Updated upstream contact information

 -- Christoph Baumann <cgb@debian.org>  Mon, 16 Apr 2012 22:29:12 +0200

maelstrom (1.4.3-L3.0.6-9) unstable; urgency=low

  * maintainer upload

 -- Christoph Baumann <cgb@debian.org>  Thu, 12 Apr 2012 18:38:13 +0200

maelstrom (1.4.3-L3.0.6-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bugs in debian/rules:
    - Fix bashism in clean commands, thanks to Angel Abad (Closes: #581483)
    - Remove more files in clean target
    - Don't ignore failure of 'rm' commands
  * Remove unneeded temporary files

