=== debian/control ===
Source: maelstrom
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: https://www.libsdl.org/projects/Maelstrom/
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), libsdl1.2-dev, libsdl-net1.2-dev, imagemagick
Rules-Requires-Root: binary-targets

Package: maelstrom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Arcade-style game resembling Asteroids
 This is a port of the high-resolution "asteroids" style
 arcade game written by Andrew Welch for the Macintosh.
