## maelstrom 3.0.6.3-1

=== Makefile ===
PACKAGE:=Maelstrom
VERSION:=3.0.6.3
SOURCE:=$(PACKAGE)-$(VERSION).tar.gz
HOMEPAGE:=http://www.devolution.com/~slouken/Maelstrom/
#URLS=http://www.devolution.com/~slouken/Maelstrom/src/
URLS=http://ftp.tal.org/pub/src/

include ../Rules.make
