=== debian/changelog ===
maelstrom (3.0.6.3-1) stable; urgency=low

  * Use a shell wrapper so tablet task bar works properly

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 16 Jun 2009 13:45:00 +0200

maelstrom (3.0.6.3) stable; urgency=low

  * Update to new version with proper autotooling
  * Make scores writable

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 09 Jun 2009 15:37:00 +0200

maelstrom (3.0.6.1) stable; urgency=low

  * Update to maemo patched version

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 05 Jun 2009 15:01:00 +0200

maelstrom (3.0.6-1) stable; urgency=low

  * Install prefix fixes, add .desktop file

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 02 Jun 2009 14:16:00 +0200

maelstrom (3.0.6) stable; urgency=low

  * Initial tablet package

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 28 May 2009 23:45:00 +0200
